{# heredando header y footer #}
{% extends "./plantilla.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionCurso/" method="post" enctype="multipart/form-data" id="frm_nuevo_curs">
        {% csrf_token %}
        <h6>CARRERA:</h6>
        <select  name="carrera_id"  id="carrera_id" data-live-search="true" data-live-search-style="startsWith" class="selectpicker"required>
            <option value="">--Seleccione La Carrera--</option>
            {% for carrera in carreras %}
              <option value="{{carrera.idCarreraBAFA}}">{{carrera.nombreCarreraBAFA}}</option>
            {% endfor %}
        </select>
        <script type="text/javascript">
            document.getElementById("carrera_id").value="{{curso.carrera.idCarreraBAFA}}"
        </script>
        <input type="hidden" name="idCursoBAFA" value="{{curso.idCursoBAFA}}">
        <div class="mb-3">
            <label for="nivelCursoBAFA" class="form-label blanco-text">Nivel del Curso:</label>
            <input type="text" name="nivelCursoBAFA" id="nivelCursoBAFA" value="{{curso.nivelCursoBAFA}}" class="form-control" placeholder="Ingrese el nivel de la carrera:" required>
        </div>
        <div class="mb-3">
            <label for="descripcionCursoBAFA" class="form-label blanco-text">Ingrese la descripcion del Curso:</label>
            <textarea name="descripcionCursoBAFA" id="descripcionCursoBAFA" cols="3" class="form-control" placeholder="Ingrese la descripcion del Curso:" required>{{curso.descripcionCursoBAFA}}</textarea>
        </div>
        <div class="mb-3">
            <label for="aulaCursoBAFA" class="form-label blanco-text">Ingrese el aula del Curso:</label>
            <input type="text" name="aulaCursoBAFA" id="aulaCursoBAFA" value="{{curso.aulaCursoBAFA}}" class="form-control" placeholder="Ingrese el aula del curso:" required>
        </div>
        <div class="mb-3">
            <label for="fechaInicioBAFA" class="form-label blanco-text">Fecha de Inicio:</label>
            <input type="date" name="fechaInicioBAFA" id="fechaInicioBAFA" value="{{curso.fechaInicioBAFA|date:'Y-m-d'}}" class="form-control" placeholder="Ingrese la fecha de Inicio" required>
        </div>
        <div class="mb-3">
            <label for="profesorPrincipalBAFA" class="form-label blanco-text">Ingrese el nombre del Profesor:</label>
            <input type="text" name="profesorPrincipalBAFA" id="profesorPrincipalBAFA" value="{{curso.profesorPrincipalBAFA}}" class="form-control" placeholder="Ingrese el profesor Principal:" required>
        </div>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'curso' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
    $("#frm_nuevo_curs").validate({
        rules:{
            "idCarreraBAFA": {
                required: true
            },
            "nivelCursoBAFA":{
                required: true
            },
            "descripcionCursoBAFA":{
                required: true
            },
            "aulaCursoBAFA":{
                required: true
            },
            "fechaInicioBAFA":{
                required: true
            },
            "profesorPrincipalBAFA":{
                required: true
            }
        },
        messages:{
            "idCarreraBAFA":{
                required: "Por favor Seleccione una carrera"
            },
            "nivelCursoBAFA":{
                required: "Debe ingresar un nivel de Curso"
            },
            "descripcionCursoBAFA":{
                required: "Debe ingresar una Descripcion "
            },
            "aulaCursoBAFA":{
                required: "Debe ingresar un aula Valida"
            },
            "fechaInicioBAFA":{
                required: "Por favor ingrese una fecha de inicio"
            },
            "profesorPrincipalBAFA":{
                required: "Debe ingresar un Profesor Principal"
            },
        }
    });
</script>
{% endblock %}
